Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util
Class Terminal

    java.lang.Object
      avrora.util.Terminal

public final class Terminal
extends java.lang.Object

The `Terminal` class provides Avrora with the ability to print color on the terminal by using control characters. The portability of these particular control sequences is not guaranteed, but seem to work most places a color terminal is supported.

Field Summary
`static int` | `COLOR_BLACK`
`static int` | `COLOR_BLUE`
`static int` | `COLOR_BRIGHT_BLUE`
`static int` | `COLOR_BRIGHT_CYAN`
`static int` | `COLOR_BRIGHT_GREEN`
`static int` | `COLOR_BRIGHT_RED`
`static int` | `COLOR_BROWN`
`static int` | `COLOR_CYAN`
`static int` | `COLOR_DARKGRAY`
`static int` | `COLOR_DEFAULT`
`static int` | `COLOR_GREEN`
`static int` | `COLOR_LIGHTGRAY`
`static int` | `COLOR_MAGENTA`
`static int` | `COLOR_PURPLE`
`static int` | `COLOR_RED`
`static int` | `COLOR_WHITE`
`static int` | `COLOR_YELLOW`
`static int` | `ERROR_COLOR`
`static boolean` | `htmlColors`
`static int` | `MAXCOLORS`
`static int` | `MAXLINE`
`static boolean` | `useColors`

Constructor Summary
`Terminal()`

Method Summary
`static void` | `append(int color, java.lang.StringBuffer buf, java.lang.String s)`
`static void` | `flush()`
`static void` | `nextln()`
`static void` | `print(int[] colors, java.lang.String[] s)`
`static void` | `print(int color, java.lang.String s)`
`static void` | `print(java.lang.String s)`
`static void` | `printBlue(java.lang.String s)`
`static void` | `printBrightBlue(java.lang.String s)`
`static void` | `printBrightCyan(java.lang.String s)`
`static void` | `printBrightGreen(java.lang.String s)`
`static void` | `printBrightRed(java.lang.String s)`
`static void` | `printCyan(java.lang.String s)`
`static void` | `printGreen(java.lang.String s)`
`static void` | `println(int color, java.lang.String s)`
`static void` | `println(java.lang.String s)`
`static void` | `printPair(int c1, int c2, java.lang.String s1, java.lang.String sep, java.lang.String s2)`
`static void` | `printRed(java.lang.String s)`
`static void` | `printTriple(int c1, int c2, int c3, java.lang.String s1, java.lang.String sep1, java.lang.String s2, java.lang.String sep2, java.lang.String s3)`
`static void` | `printYellow(java.lang.String s)`
`static void` | `setOutput(java.io.PrintStream s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useColors

    public static boolean useColors

### htmlColors

    public static boolean htmlColors

### MAXLINE

    public static final int MAXLINE

See Also:
  Constant Field Values

### COLOR_BLACK

    public static final int COLOR_BLACK

See Also:
  Constant Field Values

### COLOR_RED

    public static final int COLOR_RED

See Also:
  Constant Field Values

### COLOR_GREEN

    public static final int COLOR_GREEN

See Also:
  Constant Field Values

### COLOR_BROWN

    public static final int COLOR_BROWN

See Also:
  Constant Field Values

### COLOR_BLUE

    public static final int COLOR_BLUE

See Also:
  Constant Field Values

### COLOR_PURPLE

    public static final int COLOR_PURPLE

See Also:
  Constant Field Values

### COLOR_CYAN

    public static final int COLOR_CYAN

See Also:
  Constant Field Values

### COLOR_LIGHTGRAY

    public static final int COLOR_LIGHTGRAY

See Also:
  Constant Field Values

### COLOR_DARKGRAY

    public static final int COLOR_DARKGRAY

See Also:
  Constant Field Values

### COLOR_BRIGHT_RED

    public static final int COLOR_BRIGHT_RED

See Also:
  Constant Field Values

### COLOR_BRIGHT_GREEN

    public static final int COLOR_BRIGHT_GREEN

See Also:
  Constant Field Values

### COLOR_YELLOW

    public static final int COLOR_YELLOW

See Also:
  Constant Field Values

### COLOR_BRIGHT_BLUE

    public static final int COLOR_BRIGHT_BLUE

See Also:
  Constant Field Values

### COLOR_MAGENTA

    public static final int COLOR_MAGENTA

See Also:
  Constant Field Values

### COLOR_BRIGHT_CYAN

    public static final int COLOR_BRIGHT_CYAN

See Also:
  Constant Field Values

### COLOR_WHITE

    public static final int COLOR_WHITE

See Also:
  Constant Field Values

### COLOR_DEFAULT

    public static final int COLOR_DEFAULT

See Also:
  Constant Field Values

### MAXCOLORS

    public static final int MAXCOLORS

See Also:
  Constant Field Values

### ERROR_COLOR

    public static final int ERROR_COLOR

See Also:
  Constant Field Values

Constructor Detail

### Terminal

    public Terminal()

Method Detail

### print

    public static void print(int[] colors,
                             java.lang.String[] s)

### print

    public static void print(int color,
                             java.lang.String s)

### println

    public static void println(int color,
                               java.lang.String s)

### append

    public static void append(int color,
                              java.lang.StringBuffer buf,
                              java.lang.String s)

### print

    public static void print(java.lang.String s)

### println

    public static void println(java.lang.String s)

### nextln

    public static void nextln()

### setOutput

    public static void setOutput(java.io.PrintStream s)

### printRed

    public static void printRed(java.lang.String s)

### printBlue

    public static void printBlue(java.lang.String s)

### printGreen

    public static void printGreen(java.lang.String s)

### printYellow

    public static void printYellow(java.lang.String s)

### printCyan

    public static void printCyan(java.lang.String s)

### printBrightRed

    public static void printBrightRed(java.lang.String s)

### printBrightBlue

    public static void printBrightBlue(java.lang.String s)

### printBrightGreen

    public static void printBrightGreen(java.lang.String s)

### printBrightCyan

    public static void printBrightCyan(java.lang.String s)

### flush

    public static void flush()

### printPair

    public static void printPair(int c1,
                                 int c2,
                                 java.lang.String s1,
                                 java.lang.String sep,
                                 java.lang.String s2)

### printTriple

    public static void printTriple(int c1,
                                   int c2,
                                   int c3,
                                   java.lang.String s1,
                                   java.lang.String sep1,
                                   java.lang.String s2,
                                   java.lang.String sep2,
                                   java.lang.String s3)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD